# Mastra CLI

![Mastra Cli](https://github.com/mastra-ai/mastra/blob/main/packages/cli/mastra-cli.png)

Mastra is a framework for building AI-powered applications and agents with a modern TypeScript stack.

It includes everything you need to go from early prototypes to production-ready applications. Mastra integrates with frontend and backend frameworks like React, Next.js, and Node, or you can deploy it anywhere as a standalone server. It's the easiest way to build, tune, and scale reliable AI products.

`mastra` is Mastra's CLI package and allows you to:

- Create a new project
- Spin up the Mastra dev server
- Build your Mastra project so that you can deploy it anywhere

## Usage

After installing `mastra` globally you can use it anywhere.

```bash
npm i -g mastra
```

If you prefer to not install packages globally, you can use `npx`:

```bash
npx mastra
```

## Commands

Find all available commands in the [CLI commands reference](https://mastra.ai/reference/cli/mastra).
